<html lang="en">
<head>
<title>Hidden Files - Speedbar: File/Tag summarizing utility</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Speedbar: File/Tag summarizing utility">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="File-Mode.html#File-Mode" title="File Mode">
<link rel="prev" href="Directory-Display.html#Directory-Display" title="Directory Display">
<link rel="next" href="File-Key-Bindings.html#File-Key-Bindings" title="File Key Bindings">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Hidden-Files"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="File-Key-Bindings.html#File-Key-Bindings">File Key Bindings</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Directory-Display.html#Directory-Display">Directory Display</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="File-Mode.html#File-Mode">File Mode</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h3 class="section">3.2 Hidden Files</h3>

<p><a name="index-hidden-files-20"></a>
On GNU and Unix systems, a hidden file is a file whose name starts
with a period.  They are hidden from a regular directory listing
because the user is not generally interested in them.

   <p>In speedbar, a hidden file is a file which isn't very interesting and
might prove distracting to the user.  Any uninteresting files are
removed from the File display.  There are two levels of uninterest in
speedbar.  The first level of uninterest are files which have no
expansion method, or way of extracting tags.  You can define which
files are interesting with
<code>speedbar-supported-extension-expressions</code>.  The second level is
any file that matches the same pattern used for completion in
<code>find-file</code>.  This is derived from the variable
<code>completion-ignored-extensions</code>.  This filter will override the
supported extensions, so if you add something to be supported, and
it doesn't appear, check for this.

   <p>You can toggle the display of uninteresting files from the toggle menu
item `<samp><span class="samp">Show All Files</span></samp>'.  This will display all level one hidden files. 
These files will be shown with a `<samp><span class="samp">?</span></samp>' indicator.  Level 2 hidden
files will still not be shown.

   <p>Object files fall into the category of level 2 hidden files.  You can
determine their presence by the `<samp><span class="samp">#</span></samp>' and `<samp><span class="samp">!</span></samp>' file indicators. 
See <a href="Directory-Display.html#Directory-Display">Directory Display</a>.

   </body></html>

